Package groovy.model

# Class DefaultTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
groovy.model.DefaultTableModel

All Implemented Interfaces:
  `java.io.Serializable`, `javax.swing.table.TableModel`

    @Deprecated
    public class DefaultTableModel
    extends javax.swing.table.AbstractTableModel

Deprecated.
A default table model made up of PropertyModels on a Value model.

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `protected static class` | `DefaultTableModel.MyTableColumnModel` | Deprecated.

- ## Field Summary

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultTableModel​(ValueModel rowsModel)` | Deprecated.
  `DefaultTableModel​(ValueModel rowsModel, ValueModel rowModel)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DefaultTableColumn` | `addClosureColumn​(java.lang.Object headerValue, Closure readClosure, Closure writeClosure, java.lang.Class type)` | Deprecated. Adds a closure based column to the table
  `void` | `addColumn​(DefaultTableColumn column)` | Deprecated. Adds a new column definition to the table
  `DefaultTableColumn` | `addColumn​(java.lang.Object headerValue, ValueModel columnValueModel)` | Deprecated.
  `DefaultTableColumn` | `addColumn​(java.lang.Object headerValue, java.lang.Object identifier, ValueModel columnValueModel)` | Deprecated.
  `DefaultTableColumn` | `addPropertyColumn​(java.lang.Object headerValue, java.lang.String property, java.lang.Class type)` | Deprecated. Adds a property model column to the table
  `DefaultTableColumn` | `addPropertyColumn​(java.lang.Object headerValue, java.lang.String property, java.lang.Class type, boolean editable)` | Deprecated. Adds a property model column to the table
  `java.lang.Class` | `getColumnClass​(int columnIndex)` | Deprecated.
  `int` | `getColumnCount()` | Deprecated.
  `java.util.List` | `getColumnList()` | Deprecated.
  `javax.swing.table.TableColumnModel` | `getColumnModel()` | Deprecated.
  `protected ValueModel` | `getColumnModel​(int columnIndex)` | Deprecated.
  `java.lang.String` | `getColumnName​(int columnIndex)` | Deprecated.
  `int` | `getRowCount()` | Deprecated.
  `ValueModel` | `getRowModel()` | Deprecated.
  `protected java.util.List` | `getRows()` | Deprecated.
  `ValueModel` | `getRowsModel()` | Deprecated.
  `java.lang.Object` | `getValueAt​(int rowIndex, int columnIndex)` | Deprecated.
  `boolean` | `isCellEditable​(int rowIndex, int columnIndex)` | Deprecated.
  `void` | `removeColumn​(DefaultTableColumn column)` | Deprecated. Removes a column definition from the table
  `void` | `setValueAt​(java.lang.Object value, int rowIndex, int columnIndex)` | Deprecated.

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTableModel

    public DefaultTableModel​(ValueModel rowsModel)
    Deprecated.

  - ### DefaultTableModel

    public DefaultTableModel​(ValueModel rowsModel, ValueModel rowModel)
    Deprecated.

- ## Method Details

  - ### getColumnList

    public java.util.List getColumnList()
    Deprecated.
    Returns:
      the column definitions.

  - ### getColumnModel

    public javax.swing.table.TableColumnModel getColumnModel()
    Deprecated.

  - ### addPropertyColumn

    public DefaultTableColumn addPropertyColumn​(java.lang.Object headerValue, java.lang.String property, java.lang.Class type)
    Deprecated.
    Adds a property model column to the table

  - ### addPropertyColumn

    public DefaultTableColumn addPropertyColumn​(java.lang.Object headerValue, java.lang.String property, java.lang.Class type, boolean editable)
    Deprecated.
    Adds a property model column to the table

  - ### addClosureColumn

    public DefaultTableColumn addClosureColumn​(java.lang.Object headerValue, Closure readClosure, Closure writeClosure, java.lang.Class type)
    Deprecated.
    Adds a closure based column to the table

  - ### addColumn

    public DefaultTableColumn addColumn​(java.lang.Object headerValue, ValueModel columnValueModel)
    Deprecated.

  - ### addColumn

    public DefaultTableColumn addColumn​(java.lang.Object headerValue, java.lang.Object identifier, ValueModel columnValueModel)
    Deprecated.

  - ### addColumn

    public void addColumn​(DefaultTableColumn column)
    Deprecated.
    Adds a new column definition to the table

  - ### removeColumn

    public void removeColumn​(DefaultTableColumn column)
    Deprecated.
    Removes a column definition from the table

  - ### getRowCount

    public int getRowCount()
    Deprecated.

  - ### getColumnCount

    public int getColumnCount()
    Deprecated.

  - ### getColumnName

    public java.lang.String getColumnName​(int columnIndex)
    Deprecated.
    Specified by:
      `getColumnName` in interface `javax.swing.table.TableModel`
    Overrides:
      `getColumnName` in class `javax.swing.table.AbstractTableModel`

  - ### getColumnClass

    public java.lang.Class getColumnClass​(int columnIndex)
    Deprecated.
    Specified by:
      `getColumnClass` in interface `javax.swing.table.TableModel`
    Overrides:
      `getColumnClass` in class `javax.swing.table.AbstractTableModel`

  - ### isCellEditable

    public boolean isCellEditable​(int rowIndex, int columnIndex)
    Deprecated.
    Specified by:
      `isCellEditable` in interface `javax.swing.table.TableModel`
    Overrides:
      `isCellEditable` in class `javax.swing.table.AbstractTableModel`

  - ### getValueAt

    public java.lang.Object getValueAt​(int rowIndex, int columnIndex)
    Deprecated.

  - ### setValueAt

    public void setValueAt​(java.lang.Object value, int rowIndex, int columnIndex)
    Deprecated.
    Specified by:
      `setValueAt` in interface `javax.swing.table.TableModel`
    Overrides:
      `setValueAt` in class `javax.swing.table.AbstractTableModel`

  - ### getColumnModel

    protected ValueModel getColumnModel​(int columnIndex)
    Deprecated.

  - ### getRows

    protected java.util.List getRows()
    Deprecated.

  - ### getRowModel

    public ValueModel getRowModel()
    Deprecated.

  - ### getRowsModel

    public ValueModel getRowsModel()
    Deprecated.